body {
    background-color: rgb(20 30 50) !important;
    margin: 0;
}

@keyframes bg-flicker {
    0% {
        /* background-position: 0 0, 20px 20px; */
        background-image: radial-gradient(#2e3c51 1px, transparent 1px), radial-gradient(#526a8e 1px, rgb(20, 30, 50) 1px);
    }

    100% {
        /* background-position: 20px 20px, 0 0; */
        background-image: radial-gradient(#526a8e 1px, transparent 1px), radial-gradient(#2e3c51 1px, rgb(20, 30, 50) 1px);
    }
}

body:after {
    content: "";
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -10;
    opacity: .6;
    background-image: radial-gradient(#2e3c51 1px, transparent 1px), radial-gradient(#526a8e 1px, rgb(20, 30, 50) 1px);
    background-size: 40px 40px;
    background-position: 0 0, 20px 20px;
    animation: bg-flicker .3s infinite alternate;
}

a,
a:visited {
    color: #ffffff80;
    text-decoration: none;
}

a:hover {
    color: #fff;
}

.but-box {
    display: flex;
    padding: 1px;
    width: 100%;
    height: 50px;
    justify-content: space-around;
    box-sizing: border-box;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
}

.but-item {
    color: #ffffff80;
    font-size: 1rem;
    font-weight: 500;
    text-shadow: 0px 1px 1px #000;
    cursor: pointer;
    /* width: 180px; */
    /* height: 48px; */
    border-radius: 8px;
    border: 1px solid transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: .5rem;
    background: rgb(40, 50, 70);
    position: relative;
    transition: transform .2s ease;
    padding: 1px 10px;
    margin-bottom: 10px;

}

.but-item:hover {
    transform: scale(1);
    color: #fff;
    transform: scale(1.02);
}

.but-item:hover:before {
    opacity: .4;
}

.but-item:hover:after {
    background-position: 100% 50%;
    animation: .7s pulseshimmer 1s cubic-bezier(.8, 0, .2, 1) infinite alternate;
    animation-fill-mode: backwards
}

.but-item.is-active {
    border-color: #4584ff;
    color: #fffb;
}

.but-item.is-active:hover {
    border-color: none
}

.but-item span {
    -webkit-user-select: none;
    user-select: none;
    white-space: nowrap;
}

.but-item:before {
    content: "";
    position: absolute;
    left: 5rem;
    right: 5rem;
    top: 1rem;
    bottom: 1rem;
    pointer-events: none;
    background: linear-gradient(132deg, #a87ffb 17.33%, #4584ff 100.47%);
    transform: translateZ(0) rotate(0) skew(0) skewY(0) scaleX(1) scaleY(1);
    transition: opacity .5s ease;
    filter: blur(36px);
    z-index: -10;
    opacity: 0;
}

.but-item:after {
    content: "";
    position: absolute;
    background: linear-gradient(to right, rgb(40, 46, 64) 0%, rgb(40, 46, 64) 24%, rgb(40, 46, 64) 39%, #fff 47%, #fff 54%, #a87ffb 56%, #4584ff 100%);
    background-size: 300% 100%;
    background-position: 0% 50%;
    background-repeat: no-repeat;
    transition: background-position .8s ease;
    transform: translateZ(0) rotate(0) skew(0) skewY(0) scaleX(1) scaleY(1);
    border-radius: .5rem;
    pointer-events: none;
    top: -1px;
    right: -1px;
    bottom: -1px;
    left: -1px;
    z-index: -10;
}

.but-bg {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    border-radius: .5rem;
    background: rgb(40, 50, 70);
    z-index: -1;
}

@keyframes pulseshimmer {
    0% {
        opacity: 1
    }

    to {
        opacity: .4
    }
}

.notice {
    width: 100%;
    box-sizing: border-box;
    padding: 10px;
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    height: 179px;
}

.notice ol {
    line-height: 30px;
}

.notice ol .title {
    color: #ffeb3b;
    font-size: 1.2rem;
}

.notice ol>li {
    /* margin-bottom:10px; */
}